package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.DegreeRegistration;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @Author qnc99
 * @Date 2020/12/3 0003
 */
public class DegreeRegistrationActivityDto extends DegreeRegistration {

    private Map<CourseSchedule.CourseScheduleType, Integer> additionCourseInfo;

    private BigDecimal price;

    public Map<CourseSchedule.CourseScheduleType, Integer> getAdditionCourseInfo() {
        return additionCourseInfo;
    }

    public void setAdditionCourseInfo(Map<CourseSchedule.CourseScheduleType, Integer> additionCourseInfo) {
        this.additionCourseInfo = additionCourseInfo;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
}
